Incus - Command line client(1)

NAME
incus-remote-add - Add new remote servers

SYNOPSIS
incus remote add ⟨IP/FQDN/URL>...|<token⟩ [flags]

DESCRIPTION
Description:
  Add new remote servers

URL for remote resources must be HTTPS (https://).

Basic authentication can be used when combined with the "simplestreams" protocol:
    incus remote add some-name https://LOGIN:PASSWORD@example.com/some/path --protocol=simplestreams

Several remote targets can be provided, to handle switching to other servers if one is down:
    incus remote add some-name server1.example.com server2.example.com

The remote name can be ignored if a single target is provided.

OPTIONS
--accept-certificate[=false]
    ``Accept certificate

--auth-type=""
    ``Server authentication type (tls or oidc)

--credentials-helper=""
    ``Binary helper for retrieving credentials

--keepalive=0
    ``Maintain remote connection for faster commands

--project=""
    ``Project to use for the remote

--protocol="incus"
    ``Server protocol (incus, oci or simplestreams)

--public[=false]
    ``Public image server

--token=""
    ``Remote trust token

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

SEE ALSO
incus-remote(1)

HISTORY
30-Jul-2026 Auto generated by spf13/cobra